> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mailchimp.com/developer/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/developer/_mcp/server.

# Parse a MIME message

POST https://mandrillapp.com/api/1.4/messages/parse
Content-Type: application/json

Parse the full MIME document for an email message, returning the content of the message broken into its constituent pieces.

Reference: https://mailchimp.com/developer/transactional/api/messages/parse

## Request

### Body (application/json)

This endpoint expects a MessagesParseRequest.

- `key` (string, required) — A valid Mandrill API key
- `raw_message` (string, required) — the full MIME document of an email message

## Response

### 200

Success

- `headers` (map from string to string, required) — The parsed message headers
- `text` (string, required) — The text content of the message
- `text_flowed` (boolean, required) — Whether the text content uses format=flowed
- `attachments` (list of MessagesParseResponseAttachmentsItems, required) — List of parsed attachments
- `from_email` (string, required) — The sender email address
- `from_name` (string, required) — The sender name
- `html` (string, optional, nullable) — The HTML content if present
- `to` (list of MessagesParseResponseToItems, optional) — List of recipients
- `subject` (string, optional, nullable) — The message subject

## Errors

### 401 Unauthorized Error

Invalid or missing API key.

- `status` (string, required) — Status of the response, typically "error"
- `code` (enum, required) — Numeric error code
  - Allowed values: `401`
- `name` (enum, required) — Machine-friendly error name
  - Allowed values: `Invalid_Key`
- `message` (string, required) — Human-readable error message

### 422 Unprocessable Entity Error

One or more request parameters failed validation.

- `status` (string, required) — Status of the response, typically "error"
- `code` (integer, required) — Numeric error code
- `name` (enum, required) — Machine-friendly error name
  - Allowed values: `ValidationError`
- `message` (string, required) — Human-readable error message

### 500 Internal Server Error

An unexpected internal server error occurred.

- `status` (string, required) — Status of the response, typically "error"
- `code` (integer, required) — Numeric error code
- `name` (string, required) — Machine-friendly error name
- `message` (string, required) — Human-readable error message

## Types

### MessagesParseResponseAttachmentsItems

- `name` (string, optional) — The attachment filename
- `type` (string, optional) — The MIME type of the attachment
- `content` (string, optional) — The attachment content
- `binary` (boolean, optional) — Whether the attachment is binary

### MessagesParseResponseToItems

- `email` (string, optional) — The recipient email address
- `name` (string, optional, nullable) — The recipient name

## Examples

**Request**

```json
{
  "key": "ONzNrsmbtNXoIKyfPmjnig",
  "raw_message": "From: sender@example.com\\nTo: recipient.email@example.com\\nSubject: Some Subject\\n\\nSome content."
}
```

**Response**

```json
{
  "headers": {},
  "text": "string",
  "text_flowed": true,
  "attachments": [
    {
      "name": "string",
      "type": "string",
      "content": "string",
      "binary": true
    }
  ],
  "from_email": "string",
  "from_name": "string",
  "html": "string",
  "to": [
    {
      "email": "string",
      "name": "string"
    }
  ],
  "subject": "string"
}
```

**SDK Code**

```python
import requests

url = "https://mandrillapp.com/api/1.4/messages/parse"

payload = {
    "key": "ONzNrsmbtNXoIKyfPmjnig",
    "raw_message": "From: sender@example.com\nTo: recipient.email@example.com\nSubject: Some Subject\n\nSome content."
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://mandrillapp.com/api/1.4/messages/parse';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"key":"ONzNrsmbtNXoIKyfPmjnig","raw_message":"From: sender@example.com\\nTo: recipient.email@example.com\\nSubject: Some Subject\\n\\nSome content."}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://mandrillapp.com/api/1.4/messages/parse"

	payload := strings.NewReader("{\n  \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n  \"raw_message\": \"From: sender@example.com\\\\nTo: recipient.email@example.com\\\\nSubject: Some Subject\\\\n\\\\nSome content.\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://mandrillapp.com/api/1.4/messages/parse")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n  \"raw_message\": \"From: sender@example.com\\\\nTo: recipient.email@example.com\\\\nSubject: Some Subject\\\\n\\\\nSome content.\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://mandrillapp.com/api/1.4/messages/parse")
  .header("Content-Type", "application/json")
  .body("{\n  \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n  \"raw_message\": \"From: sender@example.com\\\\nTo: recipient.email@example.com\\\\nSubject: Some Subject\\\\n\\\\nSome content.\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://mandrillapp.com/api/1.4/messages/parse', [
  'body' => '{
  "key": "ONzNrsmbtNXoIKyfPmjnig",
  "raw_message": "From: sender@example.com\\\\nTo: recipient.email@example.com\\\\nSubject: Some Subject\\\\n\\\\nSome content."
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://mandrillapp.com/api/1.4/messages/parse");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"key\": \"ONzNrsmbtNXoIKyfPmjnig\",\n  \"raw_message\": \"From: sender@example.com\\\\nTo: recipient.email@example.com\\\\nSubject: Some Subject\\\\n\\\\nSome content.\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "key": "ONzNrsmbtNXoIKyfPmjnig",
  "raw_message": "From: sender@example.com\nTo: recipient.email@example.com\nSubject: Some Subject\n\nSome content."
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://mandrillapp.com/api/1.4/messages/parse")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```